# Clutter::Animation Class Reference

Inherits Glib::Object.

Collaboration diagram for Clutter::Animation:
[legend]

List of all members.

## Public Member Functions

virtual | ~Animation ()
ClutterAnimation* | gobj ()
| Provides access to the underlying C GObject.
const ClutterAnimation* | gobj () const
| Provides access to the underlying C GObject.
ClutterAnimation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_object (const Glib::RefPtr< Glib::Object >& object)
| Attaches animation to object.
Glib::RefPtr< Glib::Object > | get_object ()
| Retrieves the Object attached to animation.
Glib::RefPtr< const Glib::Object > | get_object () const
| Retrieves the Object attached to animation.
void | set_mode (gulong mode)
| Sets the animation mode of animation.
gulong | get_mode () const
| Retrieves the animation mode of animation, as set by set_mode().
void | set_duration (guint msecs)
| Sets the duration of animation in milliseconds.
guint | get_duration () const
| Retrieves the duration of animation, in milliseconds.
void | set_loop (bool loop=true)
| Sets whether animation should loop over itself once finished.
bool | get_loop () const
| Retrieves whether animation is looping.
void | set_timeline (const Glib::RefPtr< Timeline >& timeline)
| Sets the Clutter::Timeline used by animation.
Glib::RefPtr< Timeline > | get_timeline () const
| Retrieves the Clutter::Timeline used by animation.
void | set_alpha (const Glib::RefPtr< Alpha >& alpha)
| Sets alpha as the Clutter::Alpha used by animation.
Glib::RefPtr< Alpha > | get_alpha () const
| Retrieves the Clutter::Alpha used by animation.
void | completed ()
| Emits the completed signal on animation.
Glib::RefPtr< Animation > | bind (const std::string& property_name, const Glib::ValueBase& final)
| Adds a single property with name property_name to the animation animation.
void | bind_interval (const std::string& property_name, const Glib::RefPtr< Interval >& interval)
| Binds interval to the property_name of the Object attached to animation.
void | update_interval (const std::string& property_name, const Glib::RefPtr< Interval >& interval)
| Changes the interval for property_name.
bool | has_property (const std::string& property_name) const
| Checks whether animation is controlling property_name.
Glib::RefPtr< Animation > | update (const std::string& property_name, const Glib::ValueBase& final)
| Updates the final value of the interval for property_name.
void | unbind_property (const std::string& property_name)
| Removes property_name from the list of animated properties.
Glib::RefPtr< Interval > | get_interval (const std::string& property_name) const
| Retrieves the Clutter::Interval associated to property_name inside animation.
Glib::SignalProxy0< void > | signal_started ()
Glib::SignalProxy0< void > | signal_completed ()
Glib::PropertyProxy < Glib::RefPtr< Glib::Object > > | property_object ()
| Object to which the animation applies.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Glib::Object > > | property_object () const
| Object to which the animation applies.
Glib::PropertyProxy< gulong > | property_mode ()
| The mode of the animation.
Glib::PropertyProxy_ReadOnly < gulong > | property_mode () const
| The mode of the animation.
Glib::PropertyProxy< guint > | property_duration ()
| Duration of the animation, in milliseconds.
Glib::PropertyProxy_ReadOnly < guint > | property_duration () const
| Duration of the animation, in milliseconds.
Glib::PropertyProxy< bool > | property_loop ()
| Whether the animation should loop.
Glib::PropertyProxy_ReadOnly < bool > | property_loop () const
| Whether the animation should loop.
Glib::PropertyProxy < Glib::RefPtr< Timeline > > | property_timeline ()
| The timeline used by the animation.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Timeline > > | property_timeline () const
| The timeline used by the animation.
Glib::PropertyProxy < Glib::RefPtr< Alpha > > | property_alpha ()
| The alpha used by the animation.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Alpha > > | property_alpha () const
| The alpha used by the animation.

## Static Public Member Functions

static Glib::RefPtr< Animation > | create ()

## Protected Member Functions

| Animation ()
virtual void | on_started ()
virtual void | on_completed ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::Animation > | wrap (ClutterAnimation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Animation::~Animation | ( |  | ) | `[virtual]`

Clutter::Animation::Animation | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Animation> Clutter::Animation::bind | ( | const std::string & | property_name,
|  | const Glib::ValueBase & | final |
| ) |  |  |

Adds a single property with name property_name to the animation animation.

For more information about animations, see Clutter::Actor::animate().

This method returns the animation primarily to make chained calls convenient in language bindings.

Since cluttermm 1.0:

Parameters:

  | property_name | The property to control.
  | final | The final value of the property.

Returns:
  The animation itself.

void Clutter::Animation::bind_interval | ( | const std::string & | property_name,
|  | const Glib::RefPtr< Interval >& | interval |
| ) |  |  |

Binds interval to the property_name of the Object attached to animation.

The Clutter::Animation will take ownership of the passed Clutter::Interval. For more information about animations, see Clutter::Actor::animate().

If you need to update the interval instance use clutter_animation_update_property() instead.

Since cluttermm 1.0:

Parameters:

  | property_name | The property to control.
  | interval | A Clutter::Interval.

Returns:
  The animation itself.

void Clutter::Animation::completed | ( |  | ) |

Emits the completed signal on animation.

When using this function with a Clutter::Animation created by the Clutter::Actor::animate() family of functions, animation will be unreferenced and it will not be valid anymore, unless Glib::object_ref() was called before calling this function or unless a reference was taken inside a handler for the Clutter::Animation::completed signal

Since cluttermm 1.0:

static Glib::RefPtr<Animation> Clutter::Animation::create | ( |  | ) | `[static]`

Glib::RefPtr<Alpha> Clutter::Animation::get_alpha | ( |  | ) | const

Retrieves the Clutter::Alpha used by animation.

Since cluttermm 1.0:

Returns:
  The alpha object used by the animation.

guint Clutter::Animation::get_duration | ( |  | ) | const

Retrieves the duration of animation, in milliseconds.

Since cluttermm 1.0:

Returns:
  The duration of the animation.

Glib::RefPtr<Interval> Clutter::Animation::get_interval | ( | const std::string & | property_name | ) | const

Retrieves the Clutter::Interval associated to property_name inside animation.

Since cluttermm 1.0:

Parameters:

  | property_name | Name of the property.

Returns:
  A Clutter::Interval or `0` if no property with the same name was found. The returned interval is owned by the Clutter::Animation and should not be unreferenced.

bool Clutter::Animation::get_loop | ( |  | ) | const

Retrieves whether animation is looping.

Since cluttermm 1.0:

Returns:
  `true` if the animation is looping.

gulong Clutter::Animation::get_mode | ( |  | ) | const

Retrieves the animation mode of animation, as set by set_mode().

Since cluttermm 1.0:

Returns:
  The mode for the animation.

Glib::RefPtr<const Glib::Object> Clutter::Animation::get_object | ( |  | ) | const

Retrieves the Object attached to animation.

Since cluttermm 1.0:

Returns:
  A Object.

Glib::RefPtr<Glib::Object> Clutter::Animation::get_object | ( |  | ) |

Retrieves the Object attached to animation.

Since cluttermm 1.0:

Returns:
  A Object.

Glib::RefPtr<Timeline> Clutter::Animation::get_timeline | ( |  | ) | const

Retrieves the Clutter::Timeline used by animation.

Since cluttermm 1.0:

Returns:
  The timeline used by the animation.

const ClutterAnimation* Clutter::Animation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterAnimation* Clutter::Animation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterAnimation* Clutter::Animation::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Clutter::Animation::has_property | ( | const std::string & | property_name | ) | const

Checks whether animation is controlling property_name.

Since cluttermm 1.0:

Parameters:

  | property_name | Name of the property.

Returns:
  `true` if the property is animated by the Clutter::Animation, `false` otherwise.

virtual void Clutter::Animation::on_completed | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Animation::on_started | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Alpha> > Clutter::Animation::property_alpha | ( |  | ) | const

The alpha used by the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Alpha> > Clutter::Animation::property_alpha | ( |  | ) |

The alpha used by the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Clutter::Animation::property_duration | ( |  | ) | const

Duration of the animation, in milliseconds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Clutter::Animation::property_duration | ( |  | ) |

Duration of the animation, in milliseconds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Animation::property_loop | ( |  | ) | const

Whether the animation should loop.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Animation::property_loop | ( |  | ) |

Whether the animation should loop.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<gulong> Clutter::Animation::property_mode | ( |  | ) | const

The mode of the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<gulong> Clutter::Animation::property_mode | ( |  | ) |

The mode of the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Glib::Object> > Clutter::Animation::property_object | ( |  | ) | const

Object to which the animation applies.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Glib::Object> > Clutter::Animation::property_object | ( |  | ) |

Object to which the animation applies.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Timeline> > Clutter::Animation::property_timeline | ( |  | ) | const

The timeline used by the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Timeline> > Clutter::Animation::property_timeline | ( |  | ) |

The timeline used by the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Animation::set_alpha | ( | const Glib::RefPtr< Alpha >& | alpha | ) |

Sets alpha as the Clutter::Alpha used by animation.

If alpha is not `0`, the Clutter::Animation will take ownership of the Clutter::Alpha instance.

Since cluttermm 1.0:

Parameters:

  | alpha | A Clutter::Alpha, or `0` to unset the current Clutter::Alpha.

void Clutter::Animation::set_duration | ( | guint | msecs | ) |

Sets the duration of animation in milliseconds.

This function will set Clutter::Animation:alpha and Clutter::Animation:timeline if needed.

Since cluttermm 1.0:

Parameters:

  | msecs | The duration in milliseconds.

void Clutter::Animation::set_loop | ( | bool | loop = `true` | ) |

Sets whether animation should loop over itself once finished.

A looping Clutter::Animation will not emit the Clutter::Animation::completed signal when finished.

This function will set Clutter::Animation:alpha and Clutter::Animation:timeline if needed.

Since cluttermm 1.0:

Parameters:

  | loop | `true` if the animation should loop.

void Clutter::Animation::set_mode | ( | gulong | mode | ) |

Sets the animation mode of animation.

The animation mode is a logical id, either coming from the Clutter::AnimationMode enumeration or the return value of Clutter::Alpha::register_func().

This function will also set Clutter::Animation:alpha if needed.

Since cluttermm 1.0:

Parameters:

  | mode | An animation mode logical id.

void Clutter::Animation::set_object | ( | const Glib::RefPtr< Glib::Object > & | object | ) |

Attaches animation to object.

The Clutter::Animation will take a reference on object.

Since cluttermm 1.0:

Parameters:

  | object | A Object.

void Clutter::Animation::set_timeline | ( | const Glib::RefPtr< Timeline >& | timeline | ) |

Sets the Clutter::Timeline used by animation.

Since cluttermm 1.0:

Parameters:

  | timeline | A Clutter::Timeline, or `0` to unset the current Clutter::Timeline.

Glib::SignalProxy0< void > Clutter::Animation::signal_completed | ( |  | ) |

Prototype:
  `void on_my_completed()`

Glib::SignalProxy0< void > Clutter::Animation::signal_started | ( |  | ) |

Prototype:
  `void on_my_started()`

void Clutter::Animation::unbind_property | ( | const std::string & | property_name | ) |

Removes property_name from the list of animated properties.

Since cluttermm 1.0:

Parameters:

  | property_name | Name of the property.

Glib::RefPtr<Animation> Clutter::Animation::update | ( | const std::string & | property_name,
|  | const Glib::ValueBase & | final |
| ) |  |  |

Updates the final value of the interval for property_name.

Since cluttermm 1.0:

Parameters:

  | property_name | Name of the property.
  | final | The final value of the property.

Returns:
  The animation itself.

void Clutter::Animation::update_interval | ( | const std::string & | property_name,
|  | const Glib::RefPtr< Interval >& | interval |
| ) |  |  |

Changes the interval for property_name.

The Clutter::Animation will take ownership of the passed Clutter::Interval.

Since cluttermm 1.0:

Parameters:

  | property_name | Name of the property.
  | interval | A Clutter::Interval.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Animation > wrap | ( | ClutterAnimation * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/animation.h